obter pedido
curl --request GET \
--url https://api.teceo.co/store/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teceo.co/store/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.teceo.co/store/v1/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "ord_xyz789",
"number": "PED-2025-0001",
"status": "confirmed",
"total": 589.5,
"brand": {
"id": "brand_abc",
"name": "distribuidora exemplo"
},
"items": [
{
"product_id": "prod_abc123",
"name": "refrigerante cola 2l",
"quantity": 10,
"unit_price": 8.9,
"subtotal": 89
}
],
"notes": "entregar no período da manhã",
"created_at": "2025-01-14T10:00:00Z",
"updated_at": "2025-01-14T10:05:00Z"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}pedidos
obter pedido
retorna os detalhes de um pedido específico
GET
/
orders
/
{orderId}
obter pedido
curl --request GET \
--url https://api.teceo.co/store/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teceo.co/store/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.teceo.co/store/v1/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "ord_xyz789",
"number": "PED-2025-0001",
"status": "confirmed",
"total": 589.5,
"brand": {
"id": "brand_abc",
"name": "distribuidora exemplo"
},
"items": [
{
"product_id": "prod_abc123",
"name": "refrigerante cola 2l",
"quantity": 10,
"unit_price": 8.9,
"subtotal": 89
}
],
"notes": "entregar no período da manhã",
"created_at": "2025-01-14T10:00:00Z",
"updated_at": "2025-01-14T10:05:00Z"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id único do pedido
Response
pedido encontrado
id único do pedido
número do pedido
status do pedido
Available options:
pending, confirmed, shipped, delivered, cancelled valor total do pedido
quantidade de itens
Show child attributes
Show child attributes
Show child attributes
Show child attributes
